Retrieve Password reset OTP

Requests an OTP for resetting the Password using the User's Phone number.

POST
/identity/v2/auth/password/otp

Requests an OTP for resetting the Password using the User's Phone number.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

smstemplate?string

SMS Template

g-recaptcha-response?string

Google reCAPTCHA response parameter which will be sent to the server for verification.

g_recaptcha_response?string

Google reCAPTCHA Response

h-captcha-response?string

hCaptcha Response

qq_captcha_ticket?string

QQ Captcha ticket (required if Bot Protection is enabled)

qq_captcha_randstr?string

QQ Captcha rand string (required if Bot Protection is enabled)

isvoiceotp?boolean

Boolean flag to enforce sending SMS content via Voice.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/auth/password/otp?smstemplate=SMS-Template&g-recaptcha-response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&g_recaptcha_response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&h-captcha-response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&qq_captcha_ticket=03AGdBq24eJ9O8dpLsw0Pr0OTtWfkmK34K0jQde&qq_captcha_randstr=03AGdBq24eJ9O8dpLsw0Pr0OTtWfkmK34K0jQde&isvoiceotp=true" \  -H "Content-Type: application/json" \  -d '{    "Phone": "+1234567890"  }'
{
  "IsPosted": true,
  "Data": {
    "AccountSid": "ACXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "Sid": "SMXXXXXXXXXXXXXXXX"
  }
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}